Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » How to update from local files
How to update from local files [message #995849] Mon, 31 December 2012 09:37 Go to next message
Rusi Mody is currently offline Rusi ModyFriend
Messages: 9
Registered: July 2012
Junior Member
I am trying to use erlide (eclipse plugin for erlang)
I seem to have got it running with a normal update
However if I
- download the zip from the erlide site
- open up the zip in the dropins folder

I cant get the erlang perspective
Re: How to update from local files [message #996042 is a reply to message #995849] Mon, 31 December 2012 22:09 Go to previous message
David Williams is currently offline David WilliamsFriend
Messages: 701
Registered: July 2009
Senior Member
On 12/31/2012 04:37 AM, Rusi Mody wrote:
> I am trying to use erlide (eclipse plugin for erlang)
> I seem to have got it running with a normal update
> However if I
> - download the zip from the erlide site
> - open up the zip in the dropins folder
>
> I cant get the erlang perspective
If you had it working with normal update, why do you want to then use
"dropins".

Dropins should be avoided if possible. I don't know what erlang is, but
could the zip be a zipped up repository?
If so, You can still use p2 update with that archived repository, just
add a "new site", there will be a buttons for "local" and "archive" and
by using "archive" you should be able to browse to where ever that zip
file is (somewhere besides "dropins") and use it directly.

Sometimes that sort of thing works, where "dropins" won't, because there
might be a few extra thing erlang needs that is can find automatically
from other repo sites (built-in, such as .../releases/juno) that it
won't really "find" by putting it in dropins. Just to guess.

There might be more info in the <workspace>/.metadata/.log file, as well
about things "not found", in this sort of situation.

HTH
Previous Topic:error launching eclipse - error: registry key JRE version has value 1.5 and should have 1.7
Next Topic:Workspace Association Problem
Goto Forum:
  


Current Time: Tue Dec 23 01:46:17 GMT 2014

Powered by FUDForum. Page generated in 0.02019 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software